cURL
curl --request PATCH \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-grid-environment: <x-grid-environment>' \
--data '
{
"admin_address": "<string>",
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"time_lock": 1,
"transaction_signers": [
"<string>"
]
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}"
payload = {
"admin_address": "<string>",
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"time_lock": 1,
"transaction_signers": ["<string>"]
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-grid-environment': '<x-grid-environment>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
admin_address: '<string>',
signers: [{address: '<string>', permissions: []}],
threshold: 1,
time_lock: 1,
transaction_signers: ['<string>']
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"transaction": "<string>",
"transaction_signers": [
"<string>"
],
"kms_payloads": [
{
"address": "<string>",
"payload": "<string>"
}
]
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Account Management
Update Account
Update account policies and settings
PATCH
/
api
/
grid
/
v1
/
accounts
/
{address}
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, devnet, mainnet)
Path Parameters
Smart account address (Solana public key)
Query Parameters
Whether to perform admin-level changes
Body
application/json
Was this page helpful?
⌘I